      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCFSLL                                    **
      **                                                              **
      **  DESCRIPTION:    PCF String List Parameter Structure         **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1995, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFSL,    **
      **                  which is used for PCF and event messages.   **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQCFSL structure
        10 MQCFSL.
      **    Structure type
         15 MQCFSL-TYPE           PIC S9(9) BINARY.
      **    Structure length
         15 MQCFSL-STRUCLENGTH    PIC S9(9) BINARY.
      **    Parameter identifier
         15 MQCFSL-PARAMETER      PIC S9(9) BINARY.
      **    Coded character set identifier
         15 MQCFSL-CODEDCHARSETID PIC S9(9) BINARY.
      **    Count of parameter values
         15 MQCFSL-COUNT          PIC S9(9) BINARY.
      **    Length of one string
         15 MQCFSL-STRINGLENGTH   PIC S9(9) BINARY.
 
      ******************************************************************
      **  End of CMQCFSLL                                             **
      ******************************************************************
